Status pages
List status pages
Every status page of the organization: subdomain, title, public_url (the active custom domain when there is one, else the subdomain URL), access mode, custom domain state and config identity. Ordered by subdomain and paginated like the other lists.
GET
/
pages
List status pages with their public URL
curl --request GET \
--url https://use.observer/api/v1/pages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://use.observer/api/v1/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://use.observer/api/v1/pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"subdomain": "<string>",
"public_url": "<string>",
"access_mode": "<string>",
"layout": "<string>",
"timezone": "<string>",
"locale": "<string>",
"allow_subscriptions": true,
"show_auto_refresh": true,
"hide_branding": true,
"footer_links": [
{
"label": "<string>",
"href": "<string>"
}
],
"metric_group_order": [
"<string>"
],
"metric_group_summary": true,
"seo_description": "<string>",
"seo_noindex": true,
"custom_domain": {
"domain": "<string>",
"state": "<string>",
"last_error": "<string>",
"suspended": true
},
"config_key": "<string>",
"managed_by": "config",
"is_demo": true,
"updated_at": "2023-11-07T05:31:56Z",
"suspended": true,
"suspended_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}Authorizations
Query Parameters
Was this page helpful?
⌘I
List status pages with their public URL
curl --request GET \
--url https://use.observer/api/v1/pages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://use.observer/api/v1/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://use.observer/api/v1/pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"subdomain": "<string>",
"public_url": "<string>",
"access_mode": "<string>",
"layout": "<string>",
"timezone": "<string>",
"locale": "<string>",
"allow_subscriptions": true,
"show_auto_refresh": true,
"hide_branding": true,
"footer_links": [
{
"label": "<string>",
"href": "<string>"
}
],
"metric_group_order": [
"<string>"
],
"metric_group_summary": true,
"seo_description": "<string>",
"seo_noindex": true,
"custom_domain": {
"domain": "<string>",
"state": "<string>",
"last_error": "<string>",
"suspended": true
},
"config_key": "<string>",
"managed_by": "config",
"is_demo": true,
"updated_at": "2023-11-07T05:31:56Z",
"suspended": true,
"suspended_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}
